package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学生生活历史信息对象 student_live_old
 * 
 * @author ruoyi
 * @date 2023-08-03
 */
public class StudentLiveOld extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long liveId;

    /** 学生id（家长-学生(审核通过之后数据)表id） */
    @Excel(name = "学生id", readConverterExp = "家=长-学生(审核通过之后数据)表id")
    private Long studentId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别(1：男，2：女) */
    @Excel(name = "性别(1：男，2：女)")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private String age;

    /** 学校 */
    @Excel(name = "学校")
    private String school;

    /** 学号 */
    @Excel(name = "学号")
    private String studentNumber;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idCard;

    /** 身高 */
    @Excel(name = "身高")
    private String height;

    /** 体重 */
    @Excel(name = "体重")
    private String weight;

    /** 1：家长，2：老师 */
    private String createType;

    public String getCreateType() {
        return createType;
    }

    public void setCreateType(String createType) {
        this.createType = createType;
    }

    public void setLiveId(Long liveId) 
    {
        this.liveId = liveId;
    }

    public Long getLiveId() 
    {
        return liveId;
    }
    public void setStudentId(Long studentId) 
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setAge(String age) 
    {
        this.age = age;
    }

    public String getAge() 
    {
        return age;
    }
    public void setSchool(String school) 
    {
        this.school = school;
    }

    public String getSchool() 
    {
        return school;
    }
    public void setStudentNumber(String studentNumber) 
    {
        this.studentNumber = studentNumber;
    }

    public String getStudentNumber() 
    {
        return studentNumber;
    }
    public void setIdCard(String idCard) 
    {
        this.idCard = idCard;
    }

    public String getIdCard() 
    {
        return idCard;
    }
    public void setHeight(String height) 
    {
        this.height = height;
    }

    public String getHeight() 
    {
        return height;
    }
    public void setWeight(String weight) 
    {
        this.weight = weight;
    }

    public String getWeight() 
    {
        return weight;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("liveId", getLiveId())
            .append("studentId", getStudentId())
            .append("name", getName())
            .append("sex", getSex())
            .append("age", getAge())
            .append("school", getSchool())
            .append("studentNumber", getStudentNumber())
            .append("idCard", getIdCard())
            .append("height", getHeight())
            .append("weight", getWeight())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
